ScriptingLangManager Class Reference

keeps a static list of available interpreters and instantiates them on demand More...

`#include <Script.h>`

## Classes

struct | ScriptingLang

## Static Public Member Functions

static QStringList | languages ()
| Return the names of available implementations. More...
static ScriptingEnv * | newEnv (ApplicationWindow *parent)
| Return an instance of the first implementation we can find. More...
static ScriptingEnv * | newEnv (const char *name, ApplicationWindow *parent)
| Return an instance of the implementation specified by name, NULL on failure. More...
static int | numLanguages ()
| Return the number of available implementations. More...

## Private Types

typedef ScriptingEnv *(* | ScriptingEnvConstructor )(ApplicationWindow *)

## Static Private Attributes

static ScriptingLang | langs []
| global registry of available languages More...

## Detailed Description

keeps a static list of available interpreters and instantiates them on demand

## Member Typedef Documentation

typedef ScriptingEnv*(* ScriptingLangManager::ScriptingEnvConstructor)(ApplicationWindow *)

private

## Member Function Documentation

QStringList ScriptingLangManager::languages | ( |  | ) |

static

Return the names of available implementations.

References ScriptingLangManager::ScriptingLang::constructor, and langs.

Referenced by ConfigDialog::initAppPage(), ConfigDialog::setApplication(), and ScriptingLangDialog::updateLangList().

ScriptingEnv * ScriptingLangManager::newEnv | ( | ApplicationWindow * | parent | ) |

static

Return an instance of the first implementation we can find.

References ScriptingLangManager::ScriptingLang::constructor, and langs.

Referenced by ApplicationWindow::setScriptingLanguage().

ScriptingEnv * ScriptingLangManager::newEnv | ( | const char * | name,
|  | ApplicationWindow * | parent
| ) |  |

static

Return an instance of the implementation specified by name, NULL on failure.

References ScriptingLangManager::ScriptingLang::constructor, and langs.

static int ScriptingLangManager::numLanguages | ( |  | ) |

static

Return the number of available implementations.

## Member Data Documentation

ScriptingLangManager::ScriptingLang ScriptingLangManager::langs

static private

Initial value:
= {
{ NULL, NULL }
}

global registry of available languages

Referenced by languages(), and newEnv().

The documentation for this class was generated from the following files:

- qtiplot/src/scripting/Script.h
- qtiplot/src/scripting/Script.cpp